
function SetWordWrap() {
	if (Actions.IsChecked("ActBlockSelect") == true) Actions.Execute("ActBlockSelect");
	if (Actions.IsChecked("ActWordWrap") == false) Actions.Execute("ActWordWrap");
}

function SetBlockSelectMode() {
	if (Actions.IsChecked("ActWordWrap") == true) Actions.Execute("ActWordWrap");
	if (Actions.IsChecked("ActBlockSelect") == false) Actions.Execute("ActBlockSelect");
}

function SetCodeCollapseForSection() {
	if (Actions.IsChecked("ActWordWrap") == true) Actions.Execute("ActWordWrap");
	if (Actions.IsChecked("ActCodeCollapse") == false) Actions.Execute("ActCodeCollapse");
}

function SetCodeCollapseForCode() {
	if (Actions.IsChecked("ActWordWrap") == true) Actions.Execute("ActWordWrap");
	if (Actions.IsChecked("ActCodeCollapse2") == false) Actions.Execute("ActCodeCollapse2");
}


function OnInstalled() {
  alert("WordWrap/Block Select Mode Toggle 1.0 by Peter Klein installed sucessfully!");
}

Script.ConnectSignal("installed", "OnInstalled");
Script.RegisterDocumentAction("", "Block Select Mode+", "", "SetBlockSelectMode");
Script.RegisterDocumentAction("", "Word Wrap+", "", "SetWordWrap");
Script.RegisterDocumentAction("", "Code Collapse for Section+", "", "SetCodeCollapseForSection");
Script.RegisterDocumentAction("", "Code Collapse for Code+", "", "SetCodeCollapseForCode");